GET /katello/api/repositories/992333848/docker_tags 204
| Param name | Description |
|---|---|
|
organization_id
optional |
organization identifier Validations:
|
|
content_view_version_id
optional |
content view version identifier Validations:
|
|
content_view_filter_id
optional |
content view filter identifier Validations:
|
|
content_view_filter_rule_id
optional |
content view filter rule identifier Validations:
|
|
repository_id
optional |
repository identifier Validations:
|
|
environment_id
optional |
environment identifier Validations:
|
|
ids
optional |
ids to filter content by Validations:
|
|
include_filter_ids
optional |
Includes associated content view filter ids in response Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
GET /katello/api/repositories/992333848/docker_tags/34
200
{
"id": 34,
"name": "wat",
"manifest_schema1": {
"id": "123xyz",
"schema_version": null,
"digest": "abc123",
"manifest_type": "image"
},
"manifest_schema2": null,
"manifest": {
"id": "123xyz",
"schema_version": null,
"digest": "abc123",
"manifest_type": "image",
"labels": {},
"annotations": {},
"is_bootable": false,
"is_flatpak": false,
"created_at": "2026-11-12 11:18:36 UTC",
"updated_at": "2026-11-12 11:18:36 UTC"
},
"repositories": [
{
"id": 992333848,
"name": "redis",
"full_path": "runnervm7aw5e/empty_organization/puppet_product/redis",
"library_instance": true,
"product_id": 516337990,
"product_name": "Puppet Product",
"kt_environment": {
"id": 562075838,
"name": "Library"
},
"content_view_version": {
"id": 840492357,
"name": "ACME Default ContentView 1.0",
"content_view_id": 30237652
}
}
],
"product": {
"id": 516337990,
"name": "Puppet Product"
},
"environment": {
"id": 562075838,
"name": "Library"
},
"content_view_version": {
"id": 840492357,
"name": "ACME Default ContentView 1.0",
"content_view_id": 30237652
},
"upstream_name": null,
"related_tags": [
{
"id": 34,
"name": "wat"
}
]
}
| Param name | Description |
|---|---|
|
repository_id
optional |
repository identifier Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
|
id
required |
a docker tag identifier Validations:
|
GET /katello/api/docker_tags/compare
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "id",
"order": "desc"
},
"results": [
{
"id": 43,
"name": "wat",
"manifest_schema1": {
"id": "123xyz",
"schema_version": null,
"digest": "abc123",
"manifest_type": "image"
},
"manifest_schema2": null,
"manifest": {
"id": "123xyz",
"schema_version": null,
"digest": "abc123",
"manifest_type": "image",
"labels": {},
"annotations": {},
"is_bootable": false,
"is_flatpak": false,
"created_at": "2026-11-12 11:18:38 UTC",
"updated_at": "2026-11-12 11:18:38 UTC"
},
"repositories": [
{
"id": 992333848,
"name": "redis",
"full_path": "runnervm7aw5e/empty_organization/puppet_product/redis",
"library_instance": true,
"product_id": 516337990,
"product_name": "Puppet Product",
"kt_environment": {
"id": 562075838,
"name": "Library"
},
"content_view_version": {
"id": 840492357,
"name": "ACME Default ContentView 1.0",
"content_view_id": 30237652
}
}
],
"product": {
"id": 516337990,
"name": "Puppet Product"
},
"environment": {
"id": 562075838,
"name": "Library"
},
"content_view_version": {
"id": 840492357,
"name": "ACME Default ContentView 1.0",
"content_view_id": 30237652
},
"upstream_name": null,
"comparison": [
840492357
]
}
]
}
| Param name | Description |
|---|---|
|
content_view_version_ids
optional |
content view versions to compare Validations:
|
|
repository_id
optional |
Library repository id to restrict comparisons to Validations:
|
|
restrict_comparison
optional |
Return same, different or all results Validations:
|
GET /katello/api/docker_tags/33/repositories
200
{
"total": 1,
"subtotal": 1,
"selectable": 1,
"page": 1,
"per_page": 1,
"error": null,
"search": null,
"sort": {
"by": null,
"order": null
},
"results": [
{
"backend_identifier": "Default_Organization-Test-redis",
"relative_path": "ACME_Corporation/library/redis",
"container_repository_name": "empty_organization/puppet_product/redis",
"full_path": "runnervm7aw5e/empty_organization/puppet_product/redis",
"library_instance_id": null,
"full_gpg_key_path": "https://runnervm7aw5e/katello/api/v2/repositories/992333848/gpg_key_content",
"version_href": null,
"remote_href": null,
"publication_href": null,
"content_counts": {
"docker_manifest": 1,
"docker_manifest_list": 0,
"docker_tag": 1
},
"mirroring_policy": "mirror_content_only",
"id": 992333848,
"name": "redis",
"label": "redis",
"description": null,
"organization_id": 114267492,
"organization": {
"name": "Empty Organization",
"label": "Empty_Organization",
"id": 114267492
},
"content_view_versions": [],
"filters": [],
"last_sync": null,
"content_view": {
"id": 30237652,
"name": "ACME Default ContentView"
},
"content_view_version": {
"id": 840492357,
"name": "ACME Default ContentView 1.0",
"content_view_id": 30237652
},
"kt_environment": {
"id": 562075838,
"name": "Library"
},
"content_type": "docker",
"url": null,
"docker_upstream_name": null,
"arch": "noarch",
"os_versions": null,
"content_id": "1",
"generic_remote_options": null,
"major": null,
"minor": null,
"product": {
"id": 516337990,
"cp_id": "123123123002",
"name": "Puppet Product",
"orphaned": true,
"redhat": false,
"sync_plan": null
},
"content_label": "fedora",
"last_sync_words": null,
"flatpak_dependencies": false
}
]
}